ubuntu/+source/unixodbc:ubuntu/zesty-devel

Last commit made on 2016-12-12
Get this branch:
git clone -b ubuntu/zesty-devel https://git.launchpad.net/ubuntu/+source/unixodbc
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/zesty-devel
Repository:
lp:ubuntu/+source/unixodbc

Recent commits

718359f... by Steve Langasek on 2016-12-12

Import patches-unapplied version 2.3.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7bc511c1a50bfa1f09890fab5fdce29bd72ad4c6

New changelog entries:
  * New upstream release. Closes: #843847.
    - Drop patches to autogenerated files in the source tree, since we use
      dh-autoreconf already.
    - Drop AM_MAINTAINER_MODE, no longer needed due to the above.
    - Drop no-longer-used lintian override.
  * Standards-Version to 3.9.8.

7bc511c... by Steve Langasek on 2016-09-29

Import patches-unapplied version 2.3.1-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6a8102ab72238b8f47ebf29c189f042f1778ccbd

New changelog entries:
  * Make unixodbc-dev depend directly on libodbc1, not just transitively
    via unixodbc, now that unixodbc is Multi-Arch: foreign.
    Closes: #839170.
  * Fix unixodbc-dev package section. Closes: #813991.

6a8102a... by John Paul Adrian Glaubitz on 2016-04-04

Import patches-unapplied version 2.3.1-4.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 29c62bc622cd2534ff1aa9aad9d429badb756417

New changelog entries:
  * Non-maintainer upload.
  * Use AC_CONFIG_MACRO_DIR([libltdl/m4]) in configure.in
    instead of ACLOCAL_AMFLAGS=-I libltdl/m4 in Makefile.am
    to add libltdl/m4 macro directory. Closes: #818407.

29c62bc... by Steve Langasek on 2015-10-08

Import patches-unapplied version 2.3.1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c3af8f09f4f0b04d1d703d389b6ada43412a9bdb

New changelog entries:
  * odbcinst/_SQLGetInstalledDrivers.c: don't open /etc/odbcinst.ini for
    writing when we never write to it. Closes: #801258.

c3af8f0... by Steve Langasek on 2014-04-30

Import patches-unapplied version 2.3.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0a37cdf7c02ae9070ee2f70e391959477b43960c

New changelog entries:
  * DriverManager/SQLConnect.c: put a mutex around the call to
    lt_dlsetsearchpath(), to avoid double-frees in a multithreaded context.
    Closes: #746423.

0a37cdf... by Steve Langasek on 2014-04-06

Import patches-unapplied version 2.3.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5d44a3822420963387becb70c9b026c5aefdbbfc

New changelog entries:
  * Use dh-autoreconf instead of a homegrown autotools target; this fixes
    problems caused by config.sub having the wrong permissions in the upstream
    tarball. Closes: #738516.

5d44a38... by Steve Langasek on 2013-10-14

Import patches-unapplied version 2.3.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 03393cd0c49f492dd269ae8a3151f84f09791373

New changelog entries:
  * New upstream release. Closes: #650267.
    - Drop changes to exe/isql.c, exe/odbcinst.c, exe/iusql.c, fixed
      differently upstream.
    - Drop libgtrtst library from libodbc1; this is technically an ABI
      change, but nothing has ever used this library so we're not changing
      the package name.
    - Since the library ABI has not changed in Debian (ever), keep the
      package names the same and provide backwards-compatible symlinks to
      avoid an unnecessary library transition; and update the symbols/shlibs
      to make it clear the old versions of the library don't satisfy these
      dependencies any longer.
  * Bump the build dependency on debhelper to 9.
  * Fix LDFLAGS handling so that we pick up hardening flags properly.
    Closes: #717257.
  * Fix debian/copyright to comply with copyright-format 1.0.
  * Update to Standards-Version 3.9.4.
  * Fix the section of the odbcinst package. Closes: #663077.
  * Update the odbcinst manpage to document all the current options.
    Closes: #709968

03393cd... by Steve Langasek on 2011-11-08

Import patches-unapplied version 2.2.14p2-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 05b82ad086a8d47e1b47a6d457e9aa1c83d0c663

New changelog entries:
  * Mark unixodbc Multi-Arch: foreign.

05b82ad... by Steve Langasek on 2011-10-17

Import patches-unapplied version 2.2.14p2-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 35e3f62411971637a6e0d3a1d5cd6237403a078a

New changelog entries:
  * Add libltdl/config.sub to debian/clean
  * exe/isql.c, exec/odbcinst.c, exe/iusql.c: fix passing of usage
    information to printf, so that we don't fail the checks for unsafe
    format string handling.
  * Drop the Qt library and unixodbc-bin, now split into a separate source
     upstream. Closes: #604387.

35e3f62... by Steve Langasek on 2011-08-21

Import patches-unapplied version 2.2.14p2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0d180d0c4a8a02d74e8342e79e4452ac27ae632c

New changelog entries:
  * Add Vcs-Bzr field.
  * Build for multiarch.
  * Split unixodbc into a libodbc1 package and a unixodbc package,
    the latter now containing just isql and with a versioned dependency on
    libodbc1 for compatibility with existing dependencies. This is better
    that moving isql into a new 'isql' package and having unixodbc depend
    on it because 'unixodbc' is a wrong name for a library package.
  * exe/isql.c: patch from upstream to fix isql segfault with the -b option.
    Thanks to Tim Gokcen <email address hidden> for reporting. Closes: #607895.
  * Call lt_dlsetsearchpath() so that we can use relative paths for ODBC
    modules in a multiarch-clean manner
  * Document the availability of multiarch driver support in debian/NEWS.
  * DriverManager/SQLDriverConnect.c: fix a potential buffer overflow.
    Closes: #617655
  * debian/rules: update libltdl/config.sub, not just config.sub, when out
    of date. Closes: #576980.
  * odbcinst1debian2 Breaks the old drivers that reference driver setup
    modules in /usr/lib that are shipped in this package, so declare this.
  * Standards-Version to 3.9.2.
  * Drop .la files from unixodbc-dev, now that there are no shared libraries
    left that depend on them.
  * Pull patch from Ubuntu to fix FTBFS on ppc64.